aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
authorGravatar commit-bot@chromium.org <commit-bot@chromium.org@2bbb7eff-a529-9590-31e7-b0007b416f81>2014-05-14 15:42:14 +0000
committerGravatar commit-bot@chromium.org <commit-bot@chromium.org@2bbb7eff-a529-9590-31e7-b0007b416f81>2014-05-14 15:42:14 +0000
commit0fd0d4c7fe42310da1d312be95cebd0bed32a998 (patch)
tree3f61a247eb764b9177c0fb42e00c751c03b23438 /tools
parent44803fb451e87287282f95043c6b367fdd509519 (diff)
Add warning about GOPATH to bug_chomper/run_server.sh
BUG=skia:2551 R=scroggo@google.com Author: borenet@google.com Review URL: https://codereview.chromium.org/285763003 git-svn-id: http://skia.googlecode.com/svn/trunk@14732 2bbb7eff-a529-9590-31e7-b0007b416f81
Diffstat (limited to 'tools')
-rwxr-xr-xtools/bug_chomper/run_server.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tools/bug_chomper/run_server.sh b/tools/bug_chomper/run_server.sh
index 1a49031f8e..c2d5ad420c 100755
--- a/tools/bug_chomper/run_server.sh
+++ b/tools/bug_chomper/run_server.sh
@@ -3,7 +3,14 @@ if [[ -z `which go` ]]; then
exit 1
fi
+if [[ -z "$GOPATH" ]]; then
+ echo "GOPATH environment variable is not set. Please see"
+ echo "http://golang.org/doc/code.html#GOPATH for more information."
+ exit 1
+fi
+
go get github.com/gorilla/securecookie
+go get code.google.com/p/goauth2
DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
cd $DIR